<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Create User</title>
  <link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>

<h1>Create User</h1>

<div class="nav">
  <a href="/">Back to Users List</a>
</div>

<h1>{{user.name}}</h1>
<dl>
  <dt>Name</dt>
  <dd class="edit"><input id="name" type="text" value="{{user.name}}"></dd>
  <br>
  <dt>Age</dt>
  <dd class="edit"><input id="age" type="number" value="{{user.age}}"></dd>
  <br>
  <dt>Address</dt>
  <dd class="edit"><input id="address" type="text" value="{{user.address}}"></dd>
  <br>
  <dt>Favorite fruit</dt>
  <dd class="edit"><input id="fruit" type="text" value="{{user.fruit}}"></dd>
  <br>
  <dt></dt>
  <dd class="edit">
    <input type="submit" value="Add" onclick="add()">
  </dd>
</dl>

<script>
  function add() {
    fetch('/create', {
      method: 'post',
      headers: {
        'Content-Type': 'application/json'
      },
      body: JSON.stringify({
        name: document.querySelectorAll('#name')[0].value,
        age: document.querySelectorAll('#age')[0].value,
        address: document.querySelectorAll('#address')[0].value,
        fruit: document.querySelectorAll('#fruit')[0].value
      })
    }).then((response) => {
      location.href = '/';
    })
  }
</script>

</body>

</html>
